INSTALL(1)

BEZEICHNUNG
install - Dateien kopieren und Attribute setzen

ÜBERSICHT
install [OPTION]... [-T] QUELLE ZIEL
install [OPTION]... QUELLE... VERZEICHNIS
install [OPTION]... -t VERZEICHNIS QUELLE...
install [OPTION]... -d VERZEICHNIS...

BESCHREIBUNG

Dieses »install«-Programm kopiert Dateien (oftmals frisch kompiliert) an Zielorte Ihrer Wahl. Wenn Sie fertig konfektionierte Pakete auf einem GNU/Linux-System benutzen möchten, sollten Sie stattdessen ein Werkzeug zur Paketverwaltung wie yum(1) oder apt-get(1) benutzen.

In den drei ersten Formaten wird QUELLE nach ZIEL kopiert oder mehrere QUELLEN in VERZEICHNIS, während die Zugriffsrechte und Besitzer und Gruppe der Dateien gesetzt werden. Im vierten Format werden alle Teile der/des angegebenen VERZEICHNIS(se) erzeugt.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--backup[=STEUERUNG]
    Eine Sicherungskopie von jeder vorhandenen Zieldatei erstellen

-b  Wie --backup, akzeptiert aber kein Argument

-c  (ignoriert)

-C, --compare
    Jedes Paar aus Quell- und Zieldatei vergleichen, und manchmal das Ziel gar nicht modifizieren

-d, --directory
    Alle Argumente als Verzeichnisnamen behandeln; alle Bestandteile der angegebenen Verzeichnisse erzeugen

-D  Alle führenden Elemente von ZIEL außer dem Letzten erzeugen, dann QUELLE nach ZIEL kopieren

-g, --group=GRUPPE
    Gruppenbesitz setzen, statt Gruppe des akt. Prozesses

-m, --mode=MODUS
    Zugriffsrechte setzen (wie in chmod), statt rwxr-xr-x

-o, --owner=BESITZER
    Besitzer setzen (nur für den Superuser)

-p, --preserve-timestamps
    Anwenden der Zugriffs‐/Änderungszeiten der QUELL‐Dateien auf entsprechende Zieldateien

-s, --strip
    Symboltabellen bereinigen

--strip-program=PROGRAMM
    Programm zum Bereinigen von ausführbaren Dateien

-S, --suffix=ENDUNG
    Die übliche Endung für Sicherungskopien überschreiben

-t, --target-directory=VERZEICHNIS
    Alle QUELLE‐Argumente in VERZEICHNIS kopieren

-T, --no-target-directory
    ZIEL als normale Datei behandeln

-v, --verbose
    Den Namen jedes Verzeichnisses bei Erzeugung ausgeben

--preserve-context
    SELinux-Sicherheitskontext erhalten

-Z, --context[=CTX]
    set SELinux security context of destination file to default type, or to CTX if specified

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Die Endung für Sicherheitskopien ist »~«, außer wenn sie mit --suffix oder SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Methode der Versionssteuerung kann mit der Option --backup oder der Umgebungsvariablen VERSION_CONTROL ausgewählt werden. Mögliche Werte sind:

none, off
    Niemals Sicherheitskopien erstellen (selbst wenn --backup angegeben wurde)

numbered, t
    Erstellen von nummerierten Sicherheitskopien

existing, nil
    Nummeriert (»numbered«), wenn nummerierte Sicherheitskopien existieren, sonst einfach (»simple«).

simple, never
    Immer einfache Sicherheitskopien erstellen

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report install translation bugs to <http://translationproject.org/team/>

AUTOR
Geschrieben von David MacKenzie.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für install wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und install auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'install invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.